import { BasePlugin, PluginInitContext } from 'lisk-sdk';
export declare class ShutdownNodePlugin extends BasePlugin<void> {
    private _shutdownHeight;
    private _roundLength;
    private _currentChainApiClient;
    get nodeModulePath(): string;
    init(context: PluginInitContext): Promise<void>;
    load(): Promise<void>;
    unload(): Promise<void>;
    private _newBlockHandler;
}
